@echo off
rem
rem Added to simplify PICPROG configuration 
rem
rem David Tait 1/8/96.
rem
echo.
echo Change configuration file for PICPROG
echo.
echo   Choice          Configuration
echo   ------          -------------
echo     1       Don McKenzie PIC84PGM board
echo     2       David Tait 4066/7406 board
echo     3       David Tait 4066/7407 board
echo     0       Keep existing config
echo.
echo   Choose configuration
:loop
keypress
if errorlevel 51 goto dtait7
if errorlevel 50 goto dtait6 
if errorlevel 49 goto donmac
if errorlevel 48 goto none
goto loop

:dtait7
copy dtait07.cfg picprog.cfg >nul
echo.
echo   David Tait 4066/7407 config selected
echo.
goto fini

:dtait6
copy dtait06.cfg picprog.cfg >nul
echo.
echo   David Tait 4066/7406 config selected
echo.
goto fini

:donmac
copy donmac.cfg picprog.cfg >nul
echo.
echo   Don McKenzie PIC84PGM config selected 
echo.
goto fini

:none
echo.
echo   No change
echo.

:fini

